
package de.ivu.elect.dokumente.ergebnis;

import de.ivu.elect.business.ergebnis.control.NlWasErgebnisArtefaktNachGebietErgebniseingabestatusExportContext;
import de.ivu.elect.was.exchange.ergebnis.NlWasModelIIExportMapper;

/**
 * ELECT-10343, ELECT-15247, Model II Bijlage 2 wird mit Model N 10-2 (ehemals Model I) generiert und erbt deshalb von AbstractNlWasModelN102EtAlDocumentExportMapper statt
 * AbstractNlWasModelIIDocumentExportMapper!
 *
 * @deprecated ELECT-15233, Model II -> Model Na 31-2
 */
@Deprecated
public class NlWasModelIIBijlage2DocumentExportMapper extends AbstractNlWasModelN102EtAlDocumentExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.ergebnisdokument.export.model2.bijlage2";

  public NlWasModelIIBijlage2DocumentExportMapper() {
    super();
  }

  @Override
  protected boolean isAcceptContextIgnoringSystemExportstatus(NlWasErgebnisArtefaktNachGebietErgebniseingabestatusExportContext context) {
    return NlWasModelIIExportMapper.FILE_FORMAT_EXPORTIERBAR && super.isAcceptContextIgnoringSystemExportstatus(context); // ELECT-15233, ELECT-15247, Model II -> Model Na 31-2
  }

  @Override
  public String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected String getDokumentVorlageNameInfix() {
    return "Model II bijlage 2";
  }
}
